%define major 	1
%define libname %mklibname %name %major

#we need libbluetooth before /usr is mounted
%define _libdir /%{_lib}

Name: 		bluez
Summary: 	Official Linux Bluetooth protocol stack
Version:        2.19
Release: 	%mkrel 3

Source:		http://bluez.sourceforge.net/download/%{name}-libs-%{version}.tar.bz2
# (fc) 2.14-2mdk add removed calls needed by libbtctl (CVS)
URL:		http://bluez.sourceforge.net
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	kernel-source

%description
These are the official Bluetooth communication libraries for Linux.

%package -n %{libname}
Summary: Official Linux Bluetooth protocol stack
Group: System/Libraries
Provides: %{name} = %{version}-%{release}
Provides: %{name}-sdp
Obsoletes: %{name}-sdp
Provides: lib%{name}-sdp2
Obsoletes: lib%{name}-sdp2

%description -n %{libname}
These are the official Bluetooth communication libraries for Linux.

%package -n %{libname}-devel
Summary: Headers for developing programs that will use %name
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-sdp-devel, lib%{name}-sdp2-devel
Obsoletes: lib%{name}-sdp-devel, lib%{name}-sdp2-devel
Provides: %{name}-sdp-devel
Obsoletes: %{name}-sdp-devel

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q -n bluez-libs-%version


%build
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT/%_includedir/bluetooth
mv $RPM_BUILD_ROOT/%_includedir/*.h $RPM_BUILD_ROOT/%_includedir/bluetooth/

mkdir -p $RPM_BUILD_ROOT%{_prefix}/%{_lib}
mv $RPM_BUILD_ROOT/%{_lib}/pkgconfig $RPM_BUILD_ROOT%{_prefix}/%{_lib}/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_includedir}/bluetooth
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_prefix}/%{_lib}/pkgconfig/bluez.pc
%{_datadir}/aclocal/%name.m4

%changelog
* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-3mdk
- Revert previous changes

* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-2mdk
- Cosmetics

* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.19-1mdk
- New release 2.19

* Mon Jul 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.18-1mdk
- New release 2.18

* Tue May 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.17-1mdk
- New release 2.17
- Drop P0 ( Merged upstream )

* Mon May 09 2005 Pascal Terjan <pterjan@mandriva.org> 2.16-2mdk
- include stdio in bluetooth.h (P0)

* Wed Apr 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.16-1mdk
- 2.16
- Drop Patch0 ( Merged upstream )

* Thu Jan 27 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.14-2mdk 
- Patch0 (CVS): add removed calls needed by libbtctl

* Sat Jan 15 2005 Austin Acton <austin@mandrake.org> 2.14-1mdk
- 2.14
- fix summaries
- add automake macro

* Tue Sep 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10-1mdk
- Release 2.10
- Move to /%%{_lib}, needed for initscript

* Thu Aug 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.9-1mdk
- Release 2.9

* Sat Jul 17 2004 Austin Acton <austin@mandrake.org> 2.8-1mdk
- 2.8
- add pkgconfig file

* Thu May 13 2004 Austin Acton <austin@mandrake.org> 2.7-1mdk
- 2.7
- configure 2.5

* Sat May  1 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-2mdk
- Obsoletes bluez-sdp libs

* Fri Apr 30 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 2.6-1mdk
- 2.6

* Wed Dec 31 2003 Austin Acton <austin@linux.ca> 2.5-1mdk
- 2.5

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 2.4-3mdk
- mklibname

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 2.4-2mdk
- rebuild for new rpm

* Sat Mar 29 2003 Austin Acton <aacton@yorku.ca> 2.4-1mdk
- 2.4

* Mon Jan 20 2003 Austin Acton <aacton@yorku.ca> 2.3-1mdk
- initial package
